<template>
  <div>
    <v-card flat>
      <div>
        <v-img
          :src="project.image"
          max-height="300"
        >
        </v-img>
        <v-card-title>{{ project.title }}</v-card-title>
        <v-card-text>{{ project.description }}</v-card-text>
      </div>
    </v-card>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';
import { getModule } from 'vuex-module-decorators';
import ProjectPreview from '@/components/projectPreview.vue';
import ProjectModule from '@/store/modules/projects';

import { IProject } from '../interfaces';

@Component({ components: { ProjectPreview } })
export default class Projects extends Vue {
  private project?: IProject = undefined;
  private projectStore: ProjectModule = getModule(ProjectModule, this.$store);

  private shortDescriptionCounter = 60;

  get projectId(): number {
    return parseInt(this.$route.params.id, 0);
  }

  protected created() {
    this.project = this.projectStore.projects.filter((project: IProject) => project.id === this.projectId)[0];
  }
}
</script>
